Package com.io7m.smfj.core

## Interface SMFHeaderType

- All Known Implementing Classes:
    `SMFHeader`

      @Immutable
      public interface SMFHeaderType

  Information about an SMF file.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default java.util.SortedMap<SMFAttributeName,​SMFAttribute>` | `attributesByName()` |
    `java.util.List<SMFAttribute>` | `attributesInOrder()` |
    `default void` | `checkPreconditions()` | Check preconditions for the type.
    `default SMFCoordinateSystem` | `coordinateSystem()` |
    `default java.nio.ByteOrder` | `dataByteOrder()` |
    `java.util.Optional<SMFSchemaIdentifier>` | `schemaIdentifier()` |
    `default SMFTriangles` | `triangles()` |
    `default long` | `vertexCount()` |

- - ### Method Detail

    - #### triangles

          @Default
          @Parameter
          default SMFTriangles triangles()

      Returns:
        The triangle information for the file

    - #### vertexCount

          @Parameter
          @Default
          default long vertexCount()

      Returns:
        The number of vertices in the file

    - #### schemaIdentifier

          @Parameter
          java.util.Optional<SMFSchemaIdentifier> schemaIdentifier()

      Returns:
        The schema ID in the file

    - #### coordinateSystem

          @Default
          @Parameter
          default SMFCoordinateSystem coordinateSystem()

      Returns:
        The coordinate system of the mesh data

    - #### dataByteOrder

          @Default
          @Parameter
          default java.nio.ByteOrder dataByteOrder()

      Returns:
        The endianness of the mesh data

    - #### attributesInOrder

          @Parameter
          java.util.List<SMFAttribute> attributesInOrder()

      Returns:
        The attributes in the order that they appeared in the file

    - #### attributesByName

          @Derived
          default java.util.SortedMap<SMFAttributeName,​SMFAttribute> attributesByName()

      Returns:
        The attributes by name

    - #### checkPreconditions

          @Check
          default void checkPreconditions()

      Check preconditions for the type.